/**
**************************************************************************
* @file app_init.h
* @brief Файл с функцией инициализации программы МК @ref app_init.
**************************************************************************/
#include "mcu_wrapper_conf.h"
#include "app_wrapper.h"

/**
  * @brief Функция для инициализации приложения МК
  * @details Используется в случае симуляции без отдельного потока для main().
  */
void app_init(void) {
// USER APP INIT START
// Код для инициализации приложения МК
//
// Вызов разных функций в случае, 
// если не используется отдельный поток для main().
// USER APP INIT END
}


/**
  * @brief Функция для деинициализации приложения МК
  */
void app_deinit(void) {
// USER APP DEINIT START
// Код для деинициализации приложения МК
//
// Структуры, переменные и так далее, которые надо очистить,
// для повторного запуска симуляции.
// USER APP DEINIT END
}